RM: removed in Debian, working towards Qt 4 removal goal

Bug #1745741 reported by Simon Quigley on 2018-01-27
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
apturl (Ubuntu)
Medium
Simon Quigley
Bionic
Medium
Simon Quigley
pykde4 (Ubuntu)
Medium
Ubuntu Package Archive Administrators
Bionic
Medium
Ubuntu Package Archive Administrators
update-manager (Ubuntu)
Medium
Simon Quigley
Bionic
Medium
Simon Quigley

Bug Description

As gdebi-kde was removed, in order to work towards the goal of removing Qt 4 from the archive, please remove this package.

$ reverse-depends src:pykde4
Reverse-Depends
===============
* apturl-kde (for python3-pykde4)
* update-manager-kde (for python3-pykde4)

Packages without architectures listed are reverse-dependencies in: amd64, arm64, armhf, i386, ppc64el, s390x

$ reverse-depends -b src:pykde4
No reverse dependencies found

Simon Quigley (tsimonq2) wrote :

I'm working on porting the reverse depends now.

ping!

Simon Quigley (tsimonq2) on 2018-03-17
Changed in apturl (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
assignee: nobody → Simon Quigley (tsimonq2)
Changed in update-manager (Ubuntu Bionic):
status: New → In Progress
importance: Undecided → Medium
assignee: nobody → Simon Quigley (tsimonq2)
Simon Quigley (tsimonq2) wrote :

Alright, so I just realized that neither apturl-kde nor update-manager-kde are seeded. Those binary packages can just be commented out. If someone wants to port them, they're more than welcome to, but that person won't be me.

I'll need sponsorship for both. Attaching debdiffs Soon.

Simon Quigley (tsimonq2) wrote :

$ debdiff apturl_0.5.2ubuntu13.dsc apturl_0.5.2ubuntu14.dsc > comment-out-apturl-kde.debdiff

Simon Quigley (tsimonq2) wrote :

$ debdiff update-manager_18.04.6.dsc update-manager_18.04.7.dsc > comment-out-update-manager-kde.debdiff

Simon Quigley (tsimonq2) wrote :

After these two debdiffs are sponsored, pykde4 should be good to remove.

Sponsored the two debdiffs, and subscribed archive admins for decruft/removal

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package apturl - 0.5.2ubuntu14

---------------
apturl (0.5.2ubuntu14) bionic; urgency=medium

  * Comment out the KDE frontend in debian/control so we can remove pykde4
    from the archive (LP: #1745741).

 -- Simon Quigley <email address hidden> Fri, 16 Mar 2018 20:35:16 -0500

Changed in apturl (Ubuntu Bionic):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package update-manager - 1:18.04.7

---------------
update-manager (1:18.04.7) bionic; urgency=medium

  * Comment out the KDE frontend in debian/control so we can remove pykde4
    from the archive (LP: #1745741).

 -- Simon Quigley <email address hidden> Fri, 16 Mar 2018 20:40:17 -0500

Changed in update-manager (Ubuntu Bionic):
status: In Progress → Fix Released
Steve Langasek (vorlon) wrote :

Removing packages:
 pykde4 4:4.14.2-0ubuntu9 in bionic
  python-kde4 4:4.14.2-0ubuntu9 in bionic amd64
  python-kde4 4:4.14.2-0ubuntu9 in bionic arm64
  python-kde4 4:4.14.2-0ubuntu9 in bionic armhf
  python-kde4 4:4.14.2-0ubuntu9 in bionic i386
  python-kde4 4:4.14.2-0ubuntu9 in bionic ppc64el
  python-kde4 4:4.14.2-0ubuntu9 in bionic s390x
  python-kde4-dbg 4:4.14.2-0ubuntu9 in bionic amd64
  python-kde4-dbg 4:4.14.2-0ubuntu9 in bionic arm64
  python-kde4-dbg 4:4.14.2-0ubuntu9 in bionic armhf
  python-kde4-dbg 4:4.14.2-0ubuntu9 in bionic i386
  python-kde4-dbg 4:4.14.2-0ubuntu9 in bionic ppc64el
  python-kde4-dbg 4:4.14.2-0ubuntu9 in bionic s390x
  python-kde4-dev 4:4.14.2-0ubuntu9 in bionic amd64
  python-kde4-dev 4:4.14.2-0ubuntu9 in bionic arm64
  python-kde4-dev 4:4.14.2-0ubuntu9 in bionic armhf
  python-kde4-dev 4:4.14.2-0ubuntu9 in bionic i386
  python-kde4-dev 4:4.14.2-0ubuntu9 in bionic ppc64el
  python-kde4-dev 4:4.14.2-0ubuntu9 in bionic s390x
  python-kde4-doc 4:4.14.2-0ubuntu9 in bionic amd64
  python-kde4-doc 4:4.14.2-0ubuntu9 in bionic arm64
  python-kde4-doc 4:4.14.2-0ubuntu9 in bionic armhf
  python-kde4-doc 4:4.14.2-0ubuntu9 in bionic i386
  python-kde4-doc 4:4.14.2-0ubuntu9 in bionic ppc64el
  python-kde4-doc 4:4.14.2-0ubuntu9 in bionic s390x
  python3-pykde4 4:4.14.2-0ubuntu9 in bionic amd64
  python3-pykde4 4:4.14.2-0ubuntu9 in bionic arm64
  python3-pykde4 4:4.14.2-0ubuntu9 in bionic armhf
  python3-pykde4 4:4.14.2-0ubuntu9 in bionic i386
  python3-pykde4 4:4.14.2-0ubuntu9 in bionic ppc64el
  python3-pykde4 4:4.14.2-0ubuntu9 in bionic s390x
  python3-pykde4-dbg 4:4.14.2-0ubuntu9 in bionic amd64
  python3-pykde4-dbg 4:4.14.2-0ubuntu9 in bionic arm64
  python3-pykde4-dbg 4:4.14.2-0ubuntu9 in bionic armhf
  python3-pykde4-dbg 4:4.14.2-0ubuntu9 in bionic i386
  python3-pykde4-dbg 4:4.14.2-0ubuntu9 in bionic ppc64el
  python3-pykde4-dbg 4:4.14.2-0ubuntu9 in bionic s390x
Comment: (From Debian) ROM; Depends on obsolete libs (Qt4); Debian bug #887377
Remove [y|N]? y

Changed in pykde4 (Ubuntu Bionic):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers